#include "Osoba.h"

Osoba::Osoba(const char* im, const char* naz)
{
	cout << "Konstruktor zwykly Osoby: ";
	imie = new char[40];
	nazwisko = new char[40];
	strncpy(imie, im, 40);
	strncpy(nazwisko, naz,40);
	Wypisz();
}

Osoba::Osoba(const Osoba& wzor)
{
	//imie = wzor.imie;
	//nazwisko = wzor.nazwisko;

	cout << "Konstruktor kopiujacy Osoby: ";
	imie = new char[40];
	nazwisko = new char[40];
	strcpy(imie, wzor.imie);
	strcpy(nazwisko, wzor.nazwisko);
	Wypisz();
}

Osoba::~Osoba()
{
	cout << "Destruktor Osoby: ";
	if (imie && nazwisko) Wypisz();
	delete[] imie;
	delete[] nazwisko;
	imie = nullptr;
	nazwisko = nullptr;

}

void Osoba::Wypisz() const
{
	cout << imie << ' ' << nazwisko<<endl;
}

void Osoba::WypiszExtra() const
{
	cout << "My name is " << nazwisko << ", ";
	Wypisz();
}

void Osoba::ZmienImie(const char* nowe)
{
	strncpy(imie, nowe, 40);
}
